CREATE TABLE ask_certificates (
    CERTIFICATE_ID           NUMBER(18, 0) ,
    SHORT_NAME               VARCHAR2(320)     NOT NULL,
    SOURCE_TYPE_ID           NUMBER(18, 0)     NOT NULL,
    PATH                     VARCHAR2(4000)    NOT NULL,
    FILE_NAME                VARCHAR2(4000)    NOT NULL,
    FORMAT                   VARCHAR2(320)     NOT NULL,
    KEY_NAME                 VARCHAR2(1024)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CERTIFICATE_ID           NUMBER(18, 0) ,
    SHORT_NAME               VARCHAR2(320)     NOT NULL,
    SOURCE_TYPE_ID           NUMBER(18, 0)     NOT NULL,
    PATH                     VARCHAR2(4000)    NOT NULL,
    FILE_NAME                VARCHAR2(4000)    NOT NULL,
    FORMAT                   VARCHAR2(320)     NOT NULL,
    KEY_NAME                 VARCHAR2(1024)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_ask_certificates PRIMARY KEY (CERTIFICATE_ID, CERTIFICATE_ID)
);
